#! /usr/bin/env bash

# Go to source directory
cd "$(dirname $0)"/../src

# Baseline
./main.py -i ../data/AAU/Egensevej/Egensevej-2 -m ../data/AAU/Egensevej/Egensevej-2-mask.png -f 0 -d 0
./main.py -i ../data/AAU/Hadsundvej/Hadsundvej-1 -m ../data/AAU/Hadsundvej/Hadsundvej-1-mask.png -f 0 -d 0
./main.py -i ../data/AAU/Hasserisvej/Hasserisvej-1 -m ../data/AAU/Hasserisvej/Hasserisvej-1-mask.png -f 0 -d 0
./main.py -i ../data/AAU/Hobrovej/Hobrovej-1 -m ../data/AAU/Hobrovej/Hobrovej-1-mask.png -f 0 -d 0
./main.py -i ../data/AAU/Ostre/Ostre-1 -m ../data/AAU/Ostre/Ostre-1-mask.png -f 0 -d 0

# Focusified
./main.py -i ../data/AAU/Egensevej/Egensevej-2 -m ../data/AAU/Egensevej/Egensevej-2-mask.png -p ../data/quarter.pt -f 1 -d 0
./main.py -i ../data/AAU/Hadsundvej/Hadsundvej-1 -m ../data/AAU/Hadsundvej/Hadsundvej-1-mask.png -p ../data/half.pt -f 1 -d 0
./main.py -i ../data/AAU/Hasserisvej/Hasserisvej-1 -m ../data/AAU/Hasserisvej/Hasserisvej-1-mask.png -p ../data/quarter.pt -f 1 -d 0
./main.py -i ../data/AAU/Hobrovej/Hobrovej-1 -m ../data/AAU/Hobrovej/Hobrovej-1-mask.png -p ../data/half.pt -f 1 -d 0
./main.py -i ../data/AAU/Ostre/Ostre-1 -m ../data/AAU/Ostre/Ostre-1-mask.png -p ../data/half.pt -f 1 -d 0

# Focusified with difference detection at 1
./main.py -i ../data/AAU/Egensevej/Egensevej-2 -m ../data/AAU/Egensevej/Egensevej-2-mask.png -p ../data/quarter.pt -f 1 -d 1
./main.py -i ../data/AAU/Hadsundvej/Hadsundvej-1 -m ../data/AAU/Hadsundvej/Hadsundvej-1-mask.png -p ../data/half.pt -f 1 -d 1
./main.py -i ../data/AAU/Hasserisvej/Hasserisvej-1 -m ../data/AAU/Hasserisvej/Hasserisvej-1-mask.png -p ../data/quarter.pt -f 1 -d 1
./main.py -i ../data/AAU/Hobrovej/Hobrovej-1 -m ../data/AAU/Hobrovej/Hobrovej-1-mask.png -p ../data/half.pt -f 1 -d 1
./main.py -i ../data/AAU/Ostre/Ostre-1 -m ../data/AAU/Ostre/Ostre-1-mask.png -p ../data/half.pt -f 1 -d 1

# Focusified with difference detection at 3
./main.py -i ../data/AAU/Egensevej/Egensevej-2 -m ../data/AAU/Egensevej/Egensevej-2-mask.png -p ../data/quarter.pt -f 1 -d 3
./main.py -i ../data/AAU/Hadsundvej/Hadsundvej-1 -m ../data/AAU/Hadsundvej/Hadsundvej-1-mask.png -p ../data/half.pt -f 1 -d 3
./main.py -i ../data/AAU/Hasserisvej/Hasserisvej-1 -m ../data/AAU/Hasserisvej/Hasserisvej-1-mask.png -p ../data/quarter.pt -f 1 -d 3
./main.py -i ../data/AAU/Hobrovej/Hobrovej-1 -m ../data/AAU/Hobrovej/Hobrovej-1-mask.png -p ../data/half.pt -f 1 -d 3
./main.py -i ../data/AAU/Ostre/Ostre-1 -m ../data/AAU/Ostre/Ostre-1-mask.png -p ../data/half.pt -f 1 -d 3

# Focusified with difference detection at 5
./main.py -i ../data/AAU/Egensevej/Egensevej-2 -m ../data/AAU/Egensevej/Egensevej-2-mask.png -p ../data/quarter.pt -f 1 -d 5
./main.py -i ../data/AAU/Hadsundvej/Hadsundvej-1 -m ../data/AAU/Hadsundvej/Hadsundvej-1-mask.png -p ../data/half.pt -f 1 -d 5
./main.py -i ../data/AAU/Hasserisvej/Hasserisvej-1 -m ../data/AAU/Hasserisvej/Hasserisvej-1-mask.png -p ../data/quarter.pt -f 1 -d 5
./main.py -i ../data/AAU/Hobrovej/Hobrovej-1 -m ../data/AAU/Hobrovej/Hobrovej-1-mask.png -p ../data/half.pt -f 1 -d 5
./main.py -i ../data/AAU/Ostre/Ostre-1 -m ../data/AAU/Ostre/Ostre-1-mask.png -p ../data/half.pt -f 1 -d 5
