import torch
import type

bounding_box_color = (0, 0, 255)
bounding_box_thickness = 1
bounding_box_text_color = (0, 0, 0)
bounding_box_text_size = 0.5
bounding_box_text_margin_x = 10
bounding_box_text_margin_y = 10
cuda_available = torch.cuda.is_available()
cuda_mode = True
draw_bounding_box = False
draw_focusification_mask = False
evaluation_mode = True
file_name_delimiter_input = "-"
file_postfix_input = "png"
file_prefix_input = "cam1"
file_path_name_focusification_mask = "../data/mask.png"
file_path_name_focusification_mask_pt = ""
file_path_name_input = "../data/dog-cycle-car.png"
file_path_name_config = "../config/yolov3.cfg"
file_path_name_class = "../data/coco.names"
file_path_name_ground_truth="../data/AAU/aauRainSnow-rgb.json"
file_path_name_ground_truth_formatted="../data/AAU/aauRainSnow-rgb-formatted.json"
file_path_name_weights = "../data/yolov3.weights"
focusification_mask = torch.as_tensor([
    [1, 1, 0, 0],
    [1, 1, 0, 0],
    [1, 1, 0, 0],
    [1, 1, 0, 0]
])
focusify = False
ground_truth_color = (0, 255, 0)
ground_truth_thickness = 1
ground_truth_text_color = (0, 0, 0)
ground_truth_text_size = 0.5
ground_truth_text_margin_x = 10
ground_truth_text_margin_y = 10
iteration_inference = 10
iteration_warmup = 5
input_size = 416
input_size_channel = 3
input_normalization = 255.0
layer_index_start_of_neck = 0
layer_index_end_of_neck = 74
layer_index_start_of_head = 74
layer_index_start_of_scale_small = 74
layer_index_start_of_scale_tail_small = 80
layer_index_end_of_scale_tail_small = 81
layer_index_end_of_scale_small = 82
layer_index_start_of_scale_medium = 82
layer_index_start_of_scale_tail_medium = 92
layer_index_end_of_scale_tail_medium = 93
layer_index_end_of_scale_medium = 94
layer_index_start_of_scale_large = 94
layer_index_start_of_scale_tail_large = 104
layer_index_end_of_scale_tail_large = 105
layer_index_end_of_scale_large = 106
layer_index_end_of_head = 106
layer_index_focusify_start = layer_index_start_of_neck + 10
layer_index_focusify_end = layer_index_end_of_neck
leakyrelu_negative_slope = 0.1
log_file_result = None
log_file_timing = None
log_level = type.LogLevel.info
log_path = "../data"
network_stride = 32
num_anchors = 3
num_classes = 80
query_class = 2
query_limit = 3
query_limit_threshold = 5
query_limit_threshold_above = True
threshold_class_score = 0.6
threshold_difference_detection = 5
threshold_non_maximum_suppression = 0.4
threshold_objectness_score = 0.2
time_components = False
timer_start_of_neck = 0
timer_end_of_neck = 0
timer_start_of_head = 0
timer_start_of_scale_small = 0
timer_start_of_scale_tail_small = 0
timer_end_of_scale_tail_small = 0
timer_end_of_scale_small = 0
timer_start_of_scale_medium = 0
timer_start_of_scale_tail_medium = 0
timer_end_of_scale_tail_medium = 0
timer_end_of_scale_medium = 0
timer_start_of_scale_large = 0
timer_start_of_scale_tail_large = 0
timer_end_of_scale_tail_large = 0
timer_end_of_scale_large = 0
timer_end_of_head = 0
timing_total = 0
timer_start_of_query_aggregate = 0
timer_end_of_query_aggregate = 0
timer_start_of_query_limit = 0
timer_end_of_query_limit = 0
upsample_mode = "bilinear"
use_diou = False
use_focusification_mask = False
